<?php



$dictionary['ecmquotes_emails'] = array (

	'table' => 'ecmquotes_emails',

	'fields' => array (

		array(

			'name' => 'id',

			'type' => 'varchar',

			'len'=>'36'

		),

		array(

			'name' => 'ecmquote_id',

			'type' => 'varchar',

			'len' => '36',

		),

		array(

			'name' => 'email_id',

			'type' => 'varchar',

			'len' => '36',

		),

		array (

			'name' => 'date_modified',

			'type' => 'datetime'

		),

		array(

			'name' => 'deleted',

			'type' => 'bool',

			'len' => '1',

			'default' => '0',

			'required' => true

		)

	),

	'indices' => array (

		array(

			'name' => 'ecmquotes_emailspk',

			'type' => 'primary',

			'fields' => array('id')

		),

		array(

			'name' => 'idx_ecmquo_ema_ecmquo',

			'type' => 'index',

			'fields' => array('ecmquote_id')

		),

		array(

			'name' => 'idx_ecmquo_ema_ema',

			'type' => 'index',

			'fields' => array('email_id')

		),

		array(

			'name' => 'idx_ecmquote_doc',

			'type' => 'alternate_key',

			'fields' => array('ecmquote_id','email_id')

		)

	),

	'relationships' => array (

		'ecmquotes_emails' => array(

			'lhs_module' => 'EcmQuotes',

			'lhs_table' => 'ecmquotes',

			'lhs_key' => 'id',

			'rhs_module' => 'Emails',

			'rhs_table' => 'emails',

			'rhs_key' => 'id',

			'relationship_type' => 'many-to-many',

			'join_table' => 'ecmquotes_emails',

			'join_key_lhs' => 'ecmquote_id',

			'join_key_rhs' => 'email_id'

		)

	),

);



?>